%global _hardened_build 1

Name:          nzbget
Summary:       A binary newsgrabber
Version:       16.4
Release:       0.1%{?dist}
License:       GPL-2.0
Group:         Applications/Internet
Url:           http://nzbget.net/
Source0:       %{name}-%{version}-src.tar.gz
Source1:       nzbgetd.service
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: libxml2-devel
BuildRequires: ncurses-devel
BuildRequires: libsigc++20-devel
BuildRequires: libpar2-devel
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: zlib-devel
# Requires(post): systemd
# Requires(preun): systemd
# Requires(postun): systemd
# BuildRequires: systemd
Requires(pre): shadow-utils

%description
NZBGet is a binary newsgrabber, which downloads files from usenet
based on information given in nzb-files. NZBGet can be used in
standalone and in server/client modes.

%prep
%setup -q
sed -i -e 's|\r||' ChangeLog
sed -i -e 's|^MainDir=.*|MainDir=/var/spool/nzbget|' nzbget.conf

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
make install-conf DESTDIR=%{buildroot}
# "make install" puts stuff in the docdir that we don't want
rm -rf %{buildroot}%{_defaultdocdir}
find %{buildroot} -type f | xargs sed -i "s|%{buildroot}||g"
%{__install} -d %{buildroot}%{_unitdir}
%{__install} --mode=644 %{SOURCE1} %{buildroot}%{_unitdir}/nzbgetd.service
%{__install} -d %{buildroot}%{_localstatedir}/spool/nzbget
%{__install} -d %{buildroot}%{_localstatedir}/spool/nzbget/dst


%files
%defattr(-, root, root)
%doc %attr(644,root,root) COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_unitdir}/nzbgetd.service
%{_sysconfdir}/nzbget.conf
%dir %{_localstatedir}/spool/nzbget
%attr(-, nzbget, nzbget) %{_localstatedir}/spool/nzbget/*

%pre
getent group nzbget >/dev/null || groupadd -r nzbget
getent passwd nzbget >/dev/null || \
    useradd -r -g nzbget -d /var/spool/nzbget  -s /sbin/nologin \
    -c "NZBGet Daemon" nzbget
exit 0

# %post
# %systemd_post nzbgetd.service
# 
# %preun
# %systemd_preun nzbgetd.service
# 
# %postun
# %systemd_postun_with_restart nzbgetd.service

%changelog
* Wed Apr 27 2016 Ralf Ertzinger <ralf@skytale.net>
- Update to 16.4

* Fri Dec 5 2014 Joshua Rich  <joshua.rich@gmail.com>
- 14.1
* Thu Oct 2 2014 Joshua Rich <joshua.rich@gmail.com>
- Version bump.
- Switch to hardened build.
* Tue Jul 1 2014 Joshua Rich <joshua.rich@gmail.com>
- small tweaks in spec file
